<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
                xmlns="http://www.w3.org/1999/xhtml" >

    <div class="row">
        <div class="#{hideRowsSelect ? 'col-lg-12 gzl-text-centered':'col-lg-6 col-lg-offset-3 gzl-text-centered'}">
            <rich:dataScroller maxPages="#{maxPages == null ? 10: maxPages}" renderIfSinglePage="false" immediate="true"
                               fastControls="hide" styleClass="dataScroller#{dataScrollerId}"
                               id="#{dataScrollerId != null ? dataScrollerId : 'ds'}"
                               page="#{dataScrollerMemory.scrollerPage[dataTableId]}">
            </rich:dataScroller>
        </div>
        <h:panelGroup rendered="#{!hideRowsSelect}">
            <div class="col-lg-offset-1 col-lg-2">
                <div id="pagination#{dataScrollerId}" class="pagination">
                    <h:outputText value="#{messages['gazelle.common.ResultsPerPage']} : "/>
                    <h:selectOneMenu styleClass="form-control input-sm gzl-form-control gzl-dataScrollerPages"
                                     value="#{dataScrollerMemory.numberOfResultsPerPage}">
                        <f:selectItems value="#{dataScrollerMemory.getAllNumberOfResultsPerPage()}" var="pageNumber"
                                       itemLabel="#{pageNumber}"/>
                        <a4j:ajax event="change"
                                  actionListener="#{dataScrollerMemory.setNumberOfResultsPerPage(dataScrollerMemory.numberOfResultsPerPage)}"
                                  render="${dataTableId}" execute="@this"/>
                    </h:selectOneMenu>
                </div>
                <!-- <script>
                     var ds = jq162('.dataScroller#{dataScrollerId}')[0];
                     if (ds.firstElementChild == undefined) {
                         var pagination = jq162('#pagination#{dataScrollerId}')[0];
                         pagination.style.display = 'none';
                     }
                 </script>-->
            </div>
        </h:panelGroup>
    </div>
</ui:composition>
